Subject: [CDNi] FW: CDNI Footprint/Capabilities Design Team - Suggestion to work from simple usecases

From: Jan Seedorf <[email-masked]>
Date: Fri, 12 Oct 2012 15:34:23 +0000

Hi all,

Just as a reminder: below are the use cases Francois suggested a while ago.

 - Jan

-----Original Message-----
From: Francois Le Faucheur (flefauch) [mailto:[email-masked]] 
Sent: Wednesday, August 01, 2012 4:05 PM
To: [email-masked]
Cc: Francois Le Faucheur (flefauch); [email-masked]; Jan Seedorf; Guillou Allan
Subject: CDNI Footprint/Capabilities Design Team - Suggestion to work from simple usecases

Jan, Stefano, Jon,

I just wanted to reiterate the suggestion I made at the very end of the WG meeting Yesterday.

A possible way to make progress might be to:

	1) identify one, or a very small number, of use case(s) that we want the CDNI Footprint/Capabilities to support

	2) identify the semantics of the required information for this/these specific use cases.

While this approach may arguably not allow us to define the most flexible universal solution, it would have the merit of allowing us to define a solution addressing some part of the problem.

With respect to 1), I think the design team has already identified ISP CDNs and global CDNs as targeted dCDNs. So perhaps the use cases of focus could include something like:
	* the uCDN wants to use dCDN1 (CDN of ISP1) when the enduser is attached to a part of ISP1 and where ISP1 feels the request can be well served by on-net caches of ISP1 (an interesting flavor of this is where ISP1 has some of his AS not covered well by his own CDN - e.g. some remote territory)
	* the uCDN wants to use dCDN2 (CDN of ISP 2) when the enduser is attached to a part of ISP1 where ISP1 feels the request can _not_ be well served by on-net caches of ISP1 but where ISP2 claims that the request can be well served by CDN of ISP2 (because he has caches that - while not "on-net" on ISP1 - are well connected to ISP1 e.g. via many regional peering points)
	* the uCDN wants to use dCDN3 (a global CDN) when the enduser is attached to any other ISP network with whom dCDN3 is well interconnected (e.g. via many regional peering points)
	* the uCDN wants to use dCDN 4 (another global CDN) when the enduser is attached to an ISP network with whom dCDN3 is not well interconnected (e.g. via single centralized peering points)
I just made that up so it needs more thinking, but take is as an example of the sort of use case we may want to start from.  

I hope that helps

Francois

On 31 Jul 2012, at 18:05, Jan Seedorf wrote:

> Several people have indicated that they will come to this meeting, so: "it's on" :) Let's meet tomorrow (WED) at 15:00 at the IETF registration desk to continue our discussions, trying to make some progress ...
> 
> - Jan
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:cdni-footprint-
>> [email-masked]] On Behalf Of Jan Seedorf
>> Sent: Wednesday, August 01, 2012 1:18 AM
>> To: [email-masked]
>> Cc: Brandenburg, R. (Ray) van ([email-masked]); Enrico
>> Marocco; [email-masked]; [email-masked]; Kevin J
>> Ma <[email-masked]> ([email-masked])
>> Subject: Re: [cdni-footprint] Doodle for 2nd CDNI Footprint/Capabilities
>> Design Team Side Meeting at IETF-84
>> 
>> Guys,
>> 
>> Looking at the latest doodle it seems that actually *** WED 15:00-17:00 ***
>> would be a good slot where a reasonable amount of people can make it. So I
>> suggest having another CDNI Footprint/Capabilities Design Team Side
>> Meeting at this time.
>> 
>> Please confirm via email if you can actually make this slot, so that we see if it
>> really makes sense to have the meeting (i.e. all people that indicated so in
>> the doodle really coming).
>> 
>> - Jan
>> 
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni